- Qt 6.7
- Qt Remote Objects
- C++ Classes
- QRemoteObjectPendingCall
- Qt 6.7.0 Reference Documentation

# QRemoteObjectPendingCall Class

Encapsulates the result of an asynchronous method call. More...

Header: | #include <QRemoteObjectPendingCall>
CMake: | find_package(Qt6 REQUIRED COMPONENTS RemoteObjects) target_link_libraries(mytarget PRIVATE Qt6::RemoteObjects)
qmake: | QT += remoteobjects
Inherited By: | QRemoteObjectPendingCallWatcher and QRemoteObjectPendingReply

- List of all members, including inherited members

## Public Types

enum | Error { NoError, InvalidMessage }

## Public Functions

QRemoteObjectPendingCall::Error | error() const
bool | isFinished() const
QVariant | returnValue() const
bool | waitForFinished(int timeout = 30000)

## Detailed Description

## Member Type Documentation

### enum QRemoteObjectPendingCall::Error

This enum type specifies the possible error values for a remote call:

Constant | Value | Description
--- | --- | ---
`QRemoteObjectPendingCall::NoError` | `0` | No error occurred.
`QRemoteObjectPendingCall::InvalidMessage` | `1` | The default error state prior to the remote call finishing.

## Member Function Documentation

### QRemoteObjectPendingCall::Error QRemoteObjectPendingCall::error() const

Returns the error, if any, from the remote call.

### bool QRemoteObjectPendingCall::isFinished() const

Returns true if the remote call has finished, false otherwise.

A finished call will include a returnValue or error.

### QVariant QRemoteObjectPendingCall::returnValue() const

Returns the return value of the remote call.

returnValue will only be valid when the remote call has finished and there are no errors.

### bool QRemoteObjectPendingCall::waitForFinished(int timeout = 30000)

Blocks for up to timeout milliseconds, until the remote call has finished.

Returns `true` on success, `false` otherwise.